import Vue from 'vue'
import Vuex from 'vuex'
import login from './login'
import num from './num'
import baseUrl from './baseUrl'
import dangerList from './dangerList'
import vuexpersistedstate from 'vuex-persistedstate'
Vue.use(Vuex)

export default new Vuex.Store({
  modules: {
    login,
    baseUrl,
    dangerList,
    num
  },
  plugins: [
    vuexpersistedstate()
  ]
})
